Package org.apache.sysds.hops

## Enum AggBinaryOp.MMultMethod

- java.lang.Object
- - java.lang.Enum<AggBinaryOp.MMultMethod>
  - - org.apache.sysds.hops.AggBinaryOp.MMultMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<AggBinaryOp.MMultMethod>`

Enclosing class:
  AggBinaryOp

    public static enum AggBinaryOp.MMultMethod
    extends Enum<AggBinaryOp.MMultMethod>

### Enum Constant Summary

Enum Constants
`CPMM`
`MAPMM_CHAIN`
`MAPMM_L`
`MAPMM_R`
`MM`
`PMAPMM`
`PMM`
`RMM`
`TSMM`
`TSMM2`
`ZIPMM`

### Method Summary

All Methods Static Methods Concrete Methods
`static AggBinaryOp.MMultMethod` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AggBinaryOp.MMultMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CPMM

    public static final AggBinaryOp.MMultMethod CPMM

#### RMM

    public static final AggBinaryOp.MMultMethod RMM

#### MAPMM_L

    public static final AggBinaryOp.MMultMethod MAPMM_L

#### MAPMM_R

    public static final AggBinaryOp.MMultMethod MAPMM_R

#### MAPMM_CHAIN

    public static final AggBinaryOp.MMultMethod MAPMM_CHAIN

#### PMAPMM

    public static final AggBinaryOp.MMultMethod PMAPMM

#### PMM

    public static final AggBinaryOp.MMultMethod PMM

#### TSMM

    public static final AggBinaryOp.MMultMethod TSMM

#### TSMM2

    public static final AggBinaryOp.MMultMethod TSMM2

#### ZIPMM

    public static final AggBinaryOp.MMultMethod ZIPMM

#### MM

    public static final AggBinaryOp.MMultMethod MM

### Method Detail

#### values

    public static AggBinaryOp.MMultMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AggBinaryOp.MMultMethod c : AggBinaryOp.MMultMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AggBinaryOp.MMultMethod valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null